This version is outdated! Click here to see latest
Gems_big

simplecov

0.11.0

Code coverage for Ruby 1.9+ with a powerful configuration library and automatic merging of coverage across test suites

Critical or Security advisories for 0.11.0

This version doesn't have any advisory. Want to report one?

Changelog for 0.11.0

2015-11-29 (changes)

Enhancements

  • Added SimpleCov.minimum_coverage_by_file for per-file coverage thresholds. See #392 (thanks @ptashman)
  • Added track_files configuration option to specify a glob to always include in coverage results, whether or not those files are required. By default, this is enabled in the Rails profile for common Rails directories. See #422 (thanks @hugopeixoto)
  • Speed up root_filter by an order of magnitude. See #396 (thanks @raszi)

Bugfixes

  • Fix warning about global variable $ERROR_INFO. See #400 (thanks @amatsuda)
  • Actually recurse upward looking for .simplecov, as claimed by the documentation, rather than only the working directory. See #423 (thanks @alexdowad)

Dependencies for 0.11.0

Name Requirement Status
~> 1.1.0

~> 1.8

~> 0.10.0

My projects using simplecov

Name Locked version Requirement
You should be logged in to see which of your projects use simplecov.